@import "variables";
@import "utility";

// Text colors
#{$rootNode} {
  @each $key, $value in $colors {
    .text-color-#{$key} {
      color: $value;
    }

    // a.text-color-#{$key}, a.text-color-#{$key}:visited {
    //   color: $value;
    //   transition: color 0.2s ease-out;

    //   &:hover {
    //     color: lighten($value, 10%);
    //   }
    // }
  }

  .text-color-inherit {
    color: inherit;
  }
}

// Background colors override
#{$rootNode} {
  @each $key, $value in $colors {
    .bg-color-#{$key} {
      background-color: $value;
    }
  }
}
